#ifndef _za2oldkernels_h
#define _za2oldkernels_h

#ifdef NO_COPY_TO_USER
/* Copied from include/linux/isdnif.h */
static __inline__ unsigned long copy_from_user(void *to, const void *from, unsigned long n)
{
  int i;
  if ((i = verify_area(VERIFY_READ, from, n)) != 0)
    return i;
  memcpy_fromfs(to, from, n);
  return 0;
}

static __inline__ unsigned long copy_to_user(void *to, const void *from, unsigned long n)
{
  int i;
  if ((i = verify_area(VERIFY_WRITE, to, n)) != 0)
    return i;
  memcpy_tofs(to, from, n);
  return 0;
}
#endif

#ifdef OLD_GENERAL
#ifndef _SIOWR
#define _SIOWR       _IOWR
#endif

#ifndef _SIOC_DIR
#define _SIOC_DIR       _IOC_DIR
#endif

#ifndef _SIOC_READ
#define _SIOC_READ       _IOC_READ
#endif

#ifndef _SIOC_WRITE
#define _SIOC_WRITE      _IOC_WRITE
#endif

#ifndef _SIOC_SIZE
#define _SIOC_SIZE       _IOC_SIZE
#endif
#endif 
#endif
