/*  ZA2 Driver for Linux
    Copyright (C) 1998,1999,2000 Peter Wahl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Send bug reports to:
    Peter Wahl
    uzsa69@uni-bonn.de
*/

#ifndef _ZA2RECPLAY_H
#define _ZA2RECPLAY_H
extern size_t za2_get_block_size(za2_status_t *dev);
extern short za2_open_play(za2_status_t *dev);
extern short za2_open_rec(za2_status_t *dev);
extern short za2_open_recplay(za2_status_t *dev);
extern int za2_begin_write(za2_status_t *dev,void **pdata, size_t size);
extern int za2_write_mp2(za2_status_t *dev,void **ptr,size_t size);
extern int za2_begin_read(za2_status_t *dev,void** pdata, size_t size);
extern void za2_close(za2_status_t *dev);
#ifndef _za2recplay_c
extern void intrHandler(int irq, void *dev_id, struct pt_regs *regs);
#endif
#endif
